Herald
OpenapiAuth

Public passkey enablement flag for a Realm.

Reads the `passkey` / `settings` config row and returns `{ enabled }`. The login page uses this to decide whether to render the passkey entry before any passkey endpoint is called, rather than discovering disablement via a 404 from `POST /login/passkey/options`. Anonymous (no authentication).

GET
/api/auth/{realmId}/passkey/status

Reads the passkey / settings config row and returns { enabled }. The login page uses this to decide whether to render the passkey entry before any passkey endpoint is called, rather than discovering disablement via a 404 from POST /login/passkey/options. Anonymous (no authentication).

Path Parameters

realmId*string

Realm ID

Response Body

application/json

application/json

curl -X GET "https://example.com/api/auth/string/passkey/status"
{  "enabled": true,  "forceEnabled": true}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}